function [LLL,LLL_vec] = Simulated_LLL_RCL(param,TT,MM_total,Num_Obs,Qord)


beta_1  = param(1);
beta_2  = param(2);
QQ_vec  = param(3:end);

weights        = betacdf(TT,beta_1,beta_2);
weights        = diff(weights)';

PPP             = zeros(Num_Obs,MM_total);

for tt=1:MM_total
   PPP(:,tt)  = ((QQ_vec.')*Qord(:,:,tt)).';
end

LLL_vec       = PPP*weights;
LLL           = -sum(log(LLL_vec+1e-8));

if isnan(LLL)
    keyboard
end

