function [ X_best] = construct_X_best(lambda,prices,deduc_list,r_grid,Xth_ind)
               
N_r             = length(r_grid);          
N_i             = length(lambda);          
N_d             = length(deduc_list);       

X_best    = zeros(N_i,N_d,N_r);
parfor rr=1:N_r
    r_temp  = r_grid(rr);   
    if r_temp~=0
    EU      = -exp(r_temp.*prices).*(1 - lambda + lambda.*exp(r_temp.*deduc_list));
    else
    EU      = -prices -lambda.*deduc_list;    
    end
    for ii=1:N_i       
        temp_eu = EU(ii,:);
        if Xth_ind==1            
            max_EU              = max(temp_eu);
            X_best(ii,:,rr)     = temp_eu==max_EU;         
        else  
            temp_eu_x           = temp_eu;
            for xx=2:Xth_ind
                max_EU_x                        = max(temp_eu_x);
                temp_eu_x(temp_eu_x==max_EU_x)  = min(temp_eu_x)-1;       
            end
            X_best(ii,:,rr)     = temp_eu_x==max(temp_eu_x);
        end
    end  
    
end


end


