function [mtheta_jt] = moments_theta_simulate(theta,TT_r_LB,TT_r_UB,ind_t_in_j,N_j,N_t,N_sets)


raw_probs_by_set    = betacdf(TT_r_UB  , theta(1),theta(2)) - betacdf(TT_r_LB  , theta(1),theta(2)); %NtxNd

mtheta_jt                        = zeros(N_t,N_j);
mtheta_jt(:,end-N_sets+1:end)    = raw_probs_by_set;
raw_probs_repped                = repmat(raw_probs_by_set,1,(N_j-N_sets)/N_sets);
mtheta_jt(:,1:end-N_sets)       = raw_probs_repped.*ind_t_in_j(:,1:end-N_sets);
end

