function [LLL,LLL_vec] = Simulated_LLL_param_bcmt(param,TT,MM_total,Num_Obs,EU_drop_set,Sets)

beta_1 = param(1);
beta_2 = param(2);
qq_vec = param(3:end);

QQ_set = prod(qq_vec.^Sets,2).*prod((1-qq_vec).^(1-Sets),2);

QQ_set= QQ_set/(sum(QQ_set)+1e-6);

weights        = betacdf(TT,beta_1,beta_2);
weights        = diff(weights)';
PPP            = zeros(Num_Obs,MM_total);


for tt=1:MM_total
   PPP(:,tt)  = EU_drop_set(:,:,tt)*QQ_set;
end

LLL_vec       = (PPP+1e-8)*weights;
LLL           = -sum(log(LLL_vec+1e-8));

