function [EU_drop,EU_drop_val,EU] = compute_l_h_val(param,lambda,pp,deduc_list,dd,N_menu,type)
%% Expected Value of Lottery
if strcmp(type,'CARA')
    rr    =  param;
    if rr==0
        EU    =    -pp -lambda*deduc_list;
    else
        EU    =  -exp(rr.*pp).*(lambda.*exp(rr*deduc_list)+(1-lambda));
    end

elseif strcmp(type,'CARA_Certainty_Equivalent')
    rr    =  param;
    if rr==0
        EU    =    -pp -lambda*deduc_list;
    else
        EU    =    -(pp+1./rr.*log(lambda.*exp(rr*deduc_list)+(1-lambda)));
    end
end


EU         = EU-repmat(sum(EU.*dd,2),1,N_menu);
EU_drop    = EU > 0;
EU_drop_val= EU.*EU_drop;

end

