function [ first_best, second_best, third_best] = ...
                    construct_FST_best(lambda,prices,deduc_list,r_grid)
                
N_r             = length(r_grid);
N_i             = length(lambda);
N_d             = length(deduc_list);

first_best    = zeros(N_i,N_d,N_r);
second_best   = zeros(N_i,N_d,N_r);
third_best    = zeros(N_i,N_d,N_r);

for rr=1:N_r
  
    r_temp  = r_grid(rr);
    if r_temp~=0
    EU      = -exp(r_temp.*prices).*(1 - lambda + lambda.*exp(r_temp.*deduc_list));
    else
    EU      = -prices -lambda.*deduc_list;    
    end
    for ii=1:N_i
        max_EU = max(EU(ii,:));
        first_best(ii,:,rr)      = EU(ii,:)==max_EU;
        
        temp_EU2 = EU(ii,:);
        temp_EU2(temp_EU2==max_EU)=min(temp_EU2);
        
        max_EU2 = max(temp_EU2);
        second_best(ii,:,rr)     = EU(ii,:)==max_EU2;
        
        temp_EU3 = temp_EU2;
        temp_EU3(temp_EU3==max_EU2)= min(temp_EU3);
        
        max_EU3 = max(temp_EU3);
        third_best(ii,:,rr)     = EU(ii,:)==max_EU3;
    end    
end


end


