function Weighted_CE = construct_Weighted_CE(lambda,prices,deduc_list,r_grid,Logit_Sigma)
                
N_r             = length(r_grid);          
N_i             = length(lambda);         
N_d             = length(deduc_list);   

Weighted_CE     = zeros(N_i,N_d,N_r);
parfor rr=1:N_r
    r_temp  = r_grid(rr);
    
    if r_temp~=0
        
    CE_EU        = -prices- 1./r_temp*log(1 - lambda + lambda.*exp(r_temp.*deduc_list));
    else
    CE_EU        = -prices -lambda.*deduc_list;    
    end
    Weighted_CE(:,:,rr)= CE_EU/Logit_Sigma;       
end

end


