function [Logit_Singleton,Logit_Pairs, Which_Pairs] = logit_shares(U,D) 
if D~=5
disp('Warning: the calculalation for pairs is just for the case of D=5')
end
Logit_Singleton = zeros(1,D);
Logit_Pairs     = zeros(1,nchoosek(D,2));
Which_Pairs     = zeros(2,nchoosek(D,2));

U               = U-max(U);
S_0             = exp(U)./sum(exp(U));  

for ii =1:D
    D1_123 = 0;
    for jj = 1:D
        if jj~=ii
            for kk=jj+1:D
                if kk~=ii 
                    K               = zeros(1,D);
                    K0              = [ii jj kk];
                    K(K0)           = 1;
                    Set_K           = K==1;
                    Set_D_K         = (ones(1,D)-K)==1;
                    
                    S_1    =     1./(1+ Set_D_K*exp(U'-U(Set_K)));
                    S_2    = sum(1./(1+ Set_D_K*exp(U'-U(Set_K))+exp(U(Set_K)'-U(Set_K))))-1./(2+Set_D_K*exp(U'-U(Set_K)));
                    S_1(isnan(S_1)) =0;
                    S_2(isnan(S_2)) =0;
        
                    D1_123 = D1_123+ sum(S_1)-sum(S_2)+sum(S_0(Set_K));
                end
            end
        end
    end
    Logit_Singleton(ii) = D1_123;
end

kk = 0;
for ii = 1:D
    for jj=ii+1:D
        kk = kk+1;
        K               = ones(1,D);
        K0              = [ii jj];
        K(K0)           = 0;
        Set_K           = K==1;
        Set_D_K         = (ones(1,D)-K)==1;
        S_1    =     1./(1+ Set_D_K*exp(U'-U(Set_K)));
        S_2    = sum(1./(1+ Set_D_K*exp(U'-U(Set_K))+exp(U(Set_K)'-U(Set_K))))-1./(2+ Set_D_K*exp(U'-U(Set_K)));
        S_1(isnan(S_1)) =0;
        S_2(isnan(S_2)) =0;
        D12_123 = sum(S_1)-sum(S_2)+sum(S_0(Set_K));
        
        Logit_Pairs(kk) = 1-D12_123;
        Which_Pairs(1,kk)  = ii;
        Which_Pairs(2,kk)  = jj;
    end
end
Logit_Singleton(Logit_Singleton>-1e-8 & Logit_Singleton<0) = 0;
Logit_Pairs(Logit_Pairs>-1e-8 & Logit_Pairs<0) = 0;
end

