function [mtheta_jt] = moments_theta(theta,TT_r_LB,TT_r_UB,TT_r_LB_2,TT_r_UB_2,ind_t_in_j)

N_j                 = size(ind_t_in_j,2);
N_t                 = size(ind_t_in_j,1);
N_sets              = size(TT_r_LB,2);

raw_probs_by_set_1      = betacdf(TT_r_UB  , theta(1),theta(2)) - betacdf(TT_r_LB  , theta(1),theta(2)); %NtxNd
raw_probs_by_set_2      = betacdf(TT_r_LB_2, theta(1),theta(2)) - betacdf(TT_r_UB_2, theta(1),theta(2)); %NtxNd If these are both zeros, then it's a zero
raw_probs_by_set        = raw_probs_by_set_1 - raw_probs_by_set_2;

mtheta_jt                        = zeros(N_t,N_j);
mtheta_jt(:,end-N_sets+1:end)    = raw_probs_by_set;

raw_probs_repped                = repmat(raw_probs_by_set,1,(N_j-N_sets)/N_sets);
mtheta_jt(:,1:end-N_sets)       = raw_probs_repped.*ind_t_in_j(:,1:end-N_sets);
end

