function [mtheta_jt] = moments_theta_pi(theta,TT_r_LB_fst,TT_r_UB_fst,TT_r_LB_fst_2,TT_r_UB_fst_2,...
                                                         TT_r_LB_pi,TT_r_UB_pi,TT_r_LB_pi_2,TT_r_UB_pi_2,ind_t_in_j,ind_pi)
   
N_j                 = size(ind_t_in_j,2);
N_t                 = size(ind_t_in_j,1);
N_sets              = size(TT_r_LB_fst,2);

raw_probs_by_set_fst_1      = betacdf(TT_r_UB_fst  , theta(1),theta(2)) - betacdf(TT_r_LB_fst  , theta(1),theta(2)); %NtxNd
raw_probs_by_set_fst_2      = betacdf(TT_r_LB_fst_2, theta(1),theta(2)) - betacdf(TT_r_UB_fst_2, theta(1),theta(2)); %NtxNd If these are both zeros, then it's a zero
raw_probs_by_set_fst        = raw_probs_by_set_fst_1 - raw_probs_by_set_fst_2;

raw_probs_by_set_pi_1      = betacdf(TT_r_UB_pi  , theta(1),theta(2)) - betacdf(TT_r_LB_pi  , theta(1),theta(2)); %NtxNd
raw_probs_by_set_pi_2      = betacdf(TT_r_LB_pi_2, theta(1),theta(2)) - betacdf(TT_r_UB_pi_2, theta(1),theta(2)); %NtxNd If these are both zeros, then it's a zero
raw_probs_by_set_pi        = raw_probs_by_set_pi_1 - raw_probs_by_set_pi_2;

if ind_pi<3
    raw_probs_by_set            = theta(3).*raw_probs_by_set_pi + (1-theta(3)).*raw_probs_by_set_fst;
else
    raw_probs_by_set            = theta(3).*raw_probs_by_set_fst + (1-theta(3)).*raw_probs_by_set_pi;
end

mtheta_jt                        = zeros(N_t,N_j);
mtheta_jt(:,end-N_sets+1:end)    = raw_probs_by_set;

raw_probs_repped                = repmat(raw_probs_by_set,1,(N_j-N_sets)/N_sets);
mtheta_jt(:,1:end-N_sets)       = raw_probs_repped.*ind_t_in_j(:,1:end-N_sets);
end

