function [mtheta_jt] = moments_theta_simulate_logit(theta,TT_r,Logit_freq_by_type_and_r,ind_t_in_j,N_j,N_t,N_sets)


raw_probs_by_set    = zeros(N_t,N_sets);
weights             = diff([0 betacdf(TT_r,theta(1),theta(2))]); 
for dd= 1:N_sets
raw_probs_by_set(:,dd)    = weights*squeeze(Logit_freq_by_type_and_r(:,dd,:))';  
end

mtheta_jt                        = zeros(N_t,N_j);
mtheta_jt(:,end-N_sets+1:end)    = raw_probs_by_set;

raw_probs_repped                = repmat(raw_probs_by_set,1,(N_j-N_sets)/N_sets);
mtheta_jt(:,1:end-N_sets)       = raw_probs_repped.*ind_t_in_j(:,1:end-N_sets);
end

