function [f_ineq,f_ineq_keep,N_j,phi_jt] = moments_w_simulate(types_choices,N_t,N_i,d_sets,deduc_list)

num_bins        = N_t+1; 

Num_d           = size(d_sets,1);
Size_sets       = size(d_sets,2);
N_j             = Num_d*num_bins;


phi_jt          = zeros(N_j,N_t); 

for tt=1:N_t
    temp_choice_count   = types_choices(tt,:);
    temp_count_set      = zeros(Num_d,1);
    
    for ds=1:Num_d 
        sum_ind_mat = 0;
        for xx=1:Size_sets
           temp_ded         = d_sets(ds,xx);
           temp_ind         = double(deduc_list==temp_ded);
           
           temp_choice_mat  = temp_choice_count*temp_ind';
           sum_ind_mat      = sum_ind_mat + temp_choice_mat;         
        end 
        temp_count_set(ds) = sum_ind_mat;
        
    end    
    phi_jt((tt-1)*Num_d+1:tt*Num_d,tt)    = temp_count_set;
    phi_jt(   end-Num_d+1:end     ,tt)    = temp_count_set;
   
end
f_ineq = sum(phi_jt,2)./N_i;
ind_zero_prob       = f_ineq==0;
f_ineq_keep         = (1-ind_zero_prob);
end

